# Class RawOutput

java.lang.Object
org.fressian.impl.RawOutput

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class RawOutput extends Object implements Closeable

## Constructor Summary

Constructors
Constructor
Description
`RawOutput(OutputStream os)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getBytesWritten()`
`Checksum`
`getChecksum()`
`void`
`reset()`
`void`
`writeRawByte(int b)`
`void`
`writeRawBytes(byte[] bytes, int off, int len)`
`void`
`writeRawDouble(double d)`
`void`
`writeRawFloat(float f)`
`void`
`writeRawInt16(int s)`
`void`
`writeRawInt24(int i)`
`void`
`writeRawInt32(int i)`
`void`
`writeRawInt40(long i)`
`void`
`writeRawInt48(long i)`
`void`
`writeRawInt64(long l)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawOutput

public RawOutput(OutputStream os)

## Method Details

### writeRawByte

public void writeRawByte(int b) throws IOException

Throws:
  `IOException`

### writeRawInt16

public void writeRawInt16(int s) throws IOException

Throws:
  `IOException`

### writeRawInt24

public void writeRawInt24(int i) throws IOException

Throws:
  `IOException`

### writeRawInt32

public void writeRawInt32(int i) throws IOException

Throws:
  `IOException`

### writeRawInt40

public void writeRawInt40(long i) throws IOException

Throws:
  `IOException`

### writeRawInt48

public void writeRawInt48(long i) throws IOException

Throws:
  `IOException`

### writeRawInt64

public void writeRawInt64(long l) throws IOException

Throws:
  `IOException`

### writeRawDouble

public void writeRawDouble(double d) throws IOException

Throws:
  `IOException`

### writeRawFloat

public void writeRawFloat(float f) throws IOException

Throws:
  `IOException`

### writeRawBytes

public void writeRawBytes(byte[] bytes, int off, int len) throws IOException

Throws:
  `IOException`

### getChecksum

public Checksum getChecksum()

### getBytesWritten

public int getBytesWritten()

### reset

public void reset()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`